<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>12-column layout</title>
  <!-- <link rel="stylesheet" href="reset.css"> -->
  <style>

    html, body {
      font-size: 20px;
      font-family: 'Roboto';
      box-sizing: border-box;
      padding: 10px;
      height: 100%;
    }

    .wrapper {
      height: 100%;
      box-sizing: border-box;
      display: grid;
      grid-template-columns: repeat(12, 1fr);
      gap: 20px;
    }

    .wrapper > * {
        border: 2px solid #f08c00;
        background-color: #ffec99;
        border-radius: 5px;
        padding: 10px;
    }

    .wrapper > * {
      grid-column: 1 / -1;  
    }

    @media (min-width: 500px) {
      .side {
        grid-column: 1 / 4;
        grid-row: 3;
      }
      .ad {
        grid-column: 1 / 4;
        grid-row: 4;
      }
      .content {
        grid-column: 4 / -1;
        grid-row: 3 / 5;
      }
      .main-footer {
        grid-column: 1 / -1;
      }
      nav ul {
        display: flex;
        justify-content: center;
      }

      nav ul li {
        margin: 0 10px 0 10px;  
      }
    }

    @media (min-width: 700px) {
      .main-nav {
        grid-column: 1 / 3;
        grid-row: 2 / 4;
      }
      .content {
        grid-column: 3 / 11;
        grid-row: 2 / 4;
      }
      .side {
        grid-column: 11 / -1;
        grid-row: 2;
      }
      .ad {
        grid-column: 11 / -1;
        grid-row: 3;
      }
      .main-footer {
        grid-column: 1 / -1;
      }
      nav ul {
        flex-direction: column;
      }
    }
  </style>
</head>
<body>
  <div class="wrapper">
    <header class="main-head">Cabeçalho</header>
    <nav class="main-nav">
        <ul>
            <li><a href="">Nav 1</a></li>
            <li><a href="">Nav 2</a></li>
            <li><a href="">Nav 3</a></li>
        </ul>
    </nav>
    <article class="content"><h1>Área do artigo principal</h1>
    <p>Neste layout, exibimos as áreas na ordem de origem para qualquer 
      tela com menos de 500 pixels de largura. Vamos para um layout de 
      duas colunas e, em seguida, para um layout de três colunas redefinindo 
      a grade e a colocação dos itens na grade.</p></article>
    <aside class="side">Barra lateral</aside>
    <div class="ad">Anúncios</div>
    <footer class="main-footer">Rodapé</footer>
  </div>
</body>
</html>